require 'fileutils'
require "thor"

module Katar
    module Commands
        class InitCommand < Thor

            desc "init", "Create a stub Katar.yaml file"
            def init
                create_directory and copy_stubs
                puts "Katar initialized!"
            end

            private

            def create_directory
                Dir.mkdir Katar::DIR if ! Dir.exists? Katar::DIR
            end

            def copy_stubs
                FileUtils.cp_r File.expand_path('../../../stubs', __FILE__) + "/.", Katar::DIR
            end

        end
    end
end

Katar::Commands::InitCommand.start(ARGV)